Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.common
Interface MonitorDef

All Known Subinterfaces:
  DestroyMonitor, GetMonitor, SetMonitor

public interface MonitorDef

Implement this interface to create the class that will be constructed as a Monitor object in the WebLogic Server.

Author:
  Copyright (c) 1997-98 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `monitorInit(ParamSet params, boolean isMaster)` Initializes a Monitor with the specified set of parameters.
`void` | `setServices(T3ServicesDef services)` Sets the services object for the monitor.

Method Detail

### monitorInit

    public void monitorInit(ParamSet params,
                            boolean isMaster)
                     throws ParamSetException

  Initializes a Monitor with the specified set of parameters. Since dynamically loaded classes cannot pass arguments in a constructor, this method is used to pass parameters to the newly-constructed monitor object. Set the boolean "isMaster" to true to make the Monitor a Master Monitor, which is guaranteed to execute before any other Monitor and may alter the state of a Monitored object.

  Parameters:
    `params` - ParamSet object
    `isMaster` - true if the Monitor should be a Master Monitor
  Throws:
    ParamSetException - if there is an error with the parameter set

### setServices

    public void setServices(T3ServicesDef services)

  Sets the services object for the monitor. The Monitor uses the services reference to obtain access to other services in the WebLogic Server.

  Parameters:
    `services` - A T3ServicesDef object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD